Problème plugin World controller

Achoc

Poseur de cobblestone
21 Avril 2020
58
0
25
21
Bonjour je veux mettre sur mon serveur le plugin "World Controller" (https://www.spigotmc.org/resources/dreams-player-controlled-world.77318/). J'ai essayé en 1.14.4 l'erreur est :
Code:
Could not load 'plugins\WorldController.jar' in folder 'plugins'
org.bukkit.plugin.UnknownDependencyException: LibsDisguises
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:220) [server.jar:git-Spigot-4d24e36-5193f76]
        at org.bukkit.craftbukkit.v1_14_R1.CraftServer.loadPlugins(CraftServer.java:347) [server.jar:git-Spigot-4d24e36-5193f76]
        at org.bukkit.craftbukkit.v1_14_R1.CraftServer.reload(CraftServer.java:803) [server.jar:git-Spigot-4d24e36-5193f76]
        at org.bukkit.Bukkit.reload(Bukkit.java:576) [server.jar:git-Spigot-4d24e36-5193f76]
        at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:27) [server.jar:git-Spigot-4d24e36-5193f76]
        at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:149) [server.jar:git-Spigot-4d24e36-5193f76]
        at org.bukkit.craftbukkit.v1_14_R1.CraftServer.dispatchCommand(CraftServer.java:707) [server.jar:git-Spigot-4d24e36-5193f76]
        at org.bukkit.craftbukkit.v1_14_R1.CraftServer.dispatchServerCommand(CraftServer.java:692) [server.jar:git-Spigot-4d24e36-5193f76]
        at net.minecraft.server.v1_14_R1.DedicatedServer.handleCommandQueue(DedicatedServer.java:433) [server.jar:git-Spigot-4d24e36-5193f76]
        at net.minecraft.server.v1_14_R1.DedicatedServer.b(DedicatedServer.java:397) [server.jar:git-Spigot-4d24e36-5193f76]
        at net.minecraft.server.v1_14_R1.MinecraftServer.a(MinecraftServer.java:953) [server.jar:git-Spigot-4d24e36-5193f76]
        at net.minecraft.server.v1_14_R1.MinecraftServer.run(MinecraftServer.java:798) [server.jar:git-Spigot-4d24e36-5193f76]

J'ai essayé de le mettre en 1.15.2 cet fois il est détecté mais quand je fais une commande "an internal error occurred while attempting to perform this command"
Voilà mon problème j'espère que votre réponse pourra m'aider.

Cordialement Achoc
 
Dernière édition par un modérateur:

Detobel36

Créateur de plugins (PhoenixRebirth)
Support
17 Août 2012
10 369
23
2 223
347
25
Bruxelles - Belgique
www.phoenix-rebirth.fr
Salut,

J'adore quand les gens lisent les postes épinglés...
Notamment celui la: https://minecraft.fr/forum/threads/trucs-pour-résoudre-un-problème.77248/
Tu peux me faire ce plaisir et surtout lire la section "Les erreurs les plus fréquences" et plus précisément "Problème de dépendance" ?
Merci d'avance d'avoir répondu tout seul à ton problème ;)


Cordialement,
Detobel36
 

Achoc

Poseur de cobblestone
21 Avril 2020
58
0
25
21
ah ben merci mais le problème c'est que je ne vois pas de lien vers d'autre plugin qui serait des dépendance mais merci
 

Detobel36

Créateur de plugins (PhoenixRebirth)
Support
17 Août 2012
10 369
23
2 223
347
25
Bruxelles - Belgique
www.phoenix-rebirth.fr
Salut,

ah ben merci mais le problème c'est que je ne vois pas de lien vers d'autre plugin qui serait des dépendance mais merci
Tu ne vois pas le lien entre ton problème et un problème de dépendances ?

Code:
Could not load 'plugins\WorldController.jar' in folder 'plugins'
org.bukkit.plugin.UnknownDependencyException: LibsDisguises
Pour pouvoir fonctionner "WorldController" à besoin de "LibsDisguises"...


Cordialement,
Detobel36
 

Achoc

Poseur de cobblestone
21 Avril 2020
58
0
25
21
ok j'ai vérifié et je ne pense pas avoir vu cet erreur (j'espère avoir raison sinon désolé) j'ai installé libsdiguise et j'ai eu une erreur :

[Server thread/ERROR]: Error occurred while enabling LibsDisguises v10.0.6 (Is it up to date?)
java.lang.NoClassDefFoundError: org/bukkit/entity/Villager$Type
at me.libraryaddict.disguise.disguisetypes.MetaIndex.<clinit>(MetaIndex.java:591) ~[?:?]
at me.libraryaddict.disguise.utilities.reflection.ReflectionManager.createNMSValues(ReflectionManager.java:1765) ~[?:?]
at me.libraryaddict.disguise.utilities.reflection.ReflectionManager.registerValues(ReflectionManager.java:1631) ~[?:?]
at me.libraryaddict.disguise.LibsDisguises.onEnable(LibsDisguises.java:122) ~[?:?]
at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:263) ~[server.jar:git-Spigot-4d24e36-5193f76]
at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:352) [server.jar:git-Spigot-4d24e36-5193f76]
at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:416) [server.jar:git-Spigot-4d24e36-5193f76]
at org.bukkit.craftbukkit.v1_14_R1.CraftServer.enablePlugin(CraftServer.java:458) [server.jar:git-Spigot-4d24e36-5193f76]
at org.bukkit.craftbukkit.v1_14_R1.CraftServer.enablePlugins(CraftServer.java:372) [server.jar:git-Spigot-4d24e36-5193f76]
at net.minecraft.server.v1_14_R1.MinecraftServer.a(MinecraftServer.java:440) [server.jar:git-Spigot-4d24e36-5193f76]
at net.minecraft.server.v1_14_R1.DedicatedServer.init(DedicatedServer.java:258) [server.jar:git-Spigot-4d24e36-5193f76]
at net.minecraft.server.v1_14_R1.MinecraftServer.run(MinecraftServer.java:758) [server.jar:git-Spigot-4d24e36-5193f76]
at java.lang.Thread.run(Unknown Source) [?:1.8.0_231]
Caused by: java.lang.ClassNotFoundException: org.bukkit.entity.Villager$Type
at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[server.jar:git-Spigot-4d24e36-5193f76]
at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:81) ~[server.jar:git-Spigot-4d24e36-5193f76]
at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_231]
at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_231]
... 13 more
 

Detobel36

Créateur de plugins (PhoenixRebirth)
Support
17 Août 2012
10 369
23
2 223
347
25
Bruxelles - Belgique
www.phoenix-rebirth.fr
Salut,

Je viens de voir qu'une nouvelle version du plugin était sortie aujourd'hui. Regarde si ça ne corrige pas le soucis.
L'erreur que tu nous donnes ici est une erreur lié au plugin. Il ne trouve pas une class.

Si le problème persiste, tu peux poster l'erreur ici: https://github.com/libraryaddict/LibsDisguises/issues/new (en expliquant, anglais les détails du problème), pour que le créateur du plugin corrige le soucis.


Cordialement,
Detobel36
 

Achoc

Poseur de cobblestone
21 Avril 2020
58
0
25
21
Nouvelle version de Libsdisguise ou world controller ?
 

Achoc

Poseur de cobblestone
21 Avril 2020
58
0
25
21
Est ce que tu veux bien me donner le lien stp pour ne pas que je me trompe la dernière fois j'y ai passé 3h no stop. Désolé de te demandé ça mais merci quand même.
 

Detobel36

Créateur de plugins (PhoenixRebirth)
Support
17 Août 2012
10 369
23
2 223
347
25
Bruxelles - Belgique
www.phoenix-rebirth.fr
Salut,

Heu okay...
Je vois pas la difficulté à taper "libs disguises spigot" sur un moteur de recherche mais okay...

Du coup, pour être sur que tout est bon... Tu le télécharges avec le bouton en haut à droite "Download Now".
Et pour fonctionner il a besoin de "ProtocolLib", qui lui est ici: https://ci.dmulloy2.net/job/ProtocolLib/lastStableBuild/
Pour le télécharger il suffit de cliquer sur "ProtocolLib.jar".


Cordialement,
Detobel36